ECPPoint Struct Reference

Elliptical Curve Point over GF(p), where p is prime. More...

`#include <ecpoint.h>`

## Public Member Functions

| ECPPoint ()
| Construct an ECPPoint.
| ECPPoint (const Integer &x, const Integer &y)
| Construct an ECPPoint from coordinates.
bool | operator== (const ECPPoint &t) const
| Tests points for equality.
bool | operator< (const ECPPoint &t) const
| Tests points for ordering.

## Public Attributes

Integer | x
Integer | y
bool | identity

## Detailed Description

Elliptical Curve Point over GF(p), where p is prime.

Since
  Crypto++ 2.0

Definition at line 20 of file ecpoint.h.

## Constructor & Destructor Documentation

## ~ECPPoint()

virtual ECPPoint::~ECPPoint | ( |  | ) |

inline virtual

Definition at line 22 of file ecpoint.h.

## ECPPoint() [1/2]

ECPPoint::ECPPoint | ( |  | ) |

inline

Construct an ECPPoint.

identity is set to true

Definition at line 26 of file ecpoint.h.

## ECPPoint() [2/2]

ECPPoint::ECPPoint | ( | const Integer & | x,
|  | const Integer & | y )

inline

Construct an ECPPoint from coordinates.

identity is set to false

Definition at line 30 of file ecpoint.h.

## Member Function Documentation

## operator==()

bool ECPPoint::operator== | ( | const ECPPoint & | t | ) | const

inline

Tests points for equality.

Parameters

  t | the other point

Returns
  true if the points are equal, false otherwise

Definition at line 36 of file ecpoint.h.

## operator<()

bool ECPPoint::operator< | ( | const ECPPoint & | t | ) | const

inline

Tests points for ordering.

Parameters

  t | the other point

Returns
  true if this point is less than other, false otherwise

Definition at line 42 of file ecpoint.h.

## Member Data Documentation

## x

Integer ECPPoint::x

Definition at line 45 of file ecpoint.h.

## y

Integer ECPPoint::y

Definition at line 45 of file ecpoint.h.

## identity

bool ECPPoint::identity

Definition at line 46 of file ecpoint.h.

The documentation for this struct was generated from the following file:

- ecpoint.h